Subject: Re: bug#15599: [PATCH] Inferior Lisp Mode Menu

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Oct 2013 10:33:31 -0400

>> To use a working example, should I disable "Eval Last Sexp" in the
>> menu if the cursor is not positioned after a valid sexp?
> But that seems like too much. I'd leave such an item always enabled.

Agreed.  I can see two reasons for it:
- these "enabled" tests are run, pretty much all the time, so they need
  to be sufficiently "quick" not to disrupt normal work.  Testing if the
  last sexp is properly balanced may have to scan megabytes of text
  (even if it usually is not the case), so it can slow things down
  noticeably.
- it should be reasonably obvious to the user why a menu entry is
  disabled, and I think most users wouldn't find this one to be obvious.

        Stefan